package com.hzs.sale.wares.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hzs.common.domain.sale.wares.BdWaresExtend;
import com.hzs.sale.order.param.WaresNumberParam;
import com.hzs.sale.wares.mapper.BdWaresExtendMapper;
import com.hzs.sale.wares.service.IBdWaresExtendService;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * 商品发布扩展表 服务实现类
 */
@Service
public class BdWaresExtendServiceImpl extends ServiceImpl<BdWaresExtendMapper, BdWaresExtend> implements IBdWaresExtendService {

    @Override
    public void updateWaresSalesAccrual(List<WaresNumberParam> waresNumberParamList) {
        baseMapper.updateWaresSalesAccrual(waresNumberParamList);
    }

    @Override
    public void updatePutOnTime(Integer waresId) {
        baseMapper.updatePutOnTime(waresId);
    }

    @Override
    public void updatePutOffTime(Integer waresId) {
        baseMapper.updatePutOffTime(waresId);
    }

}
